export const displayUTF8 = (code) => {
  return String.fromCodePoint(parseInt(code, 16));
};

// Throws an error with a clear message if the given keyboard dict isn't properly structured.
export const validateKeyboard = (keyboard) => {
  if (keyboard.version === undefined || typeof keyboard.version !== "string") {
    throw new Error(
      "Your keyboard configuration should have a 'version' attribute of type String."
    );
  }
  if (keyboard.name === undefined || typeof keyboard.name !== "string") {
    throw new Error(
      "Your keyboard configuration should have a 'name' attribute of type String."
    );
  }
  if (keyboard.author === undefined || typeof keyboard.author !== "string") {
    throw new Error(
      "Your keyboard configuration should have an 'author' attribute of type String."
    );
  }
  if (
    keyboard.characters === undefined ||
    !(keyboard.characters instanceof Array)
  ) {
    throw new Error(
      "Your keyboard configuration should have a 'characters' attribute of type Array."
    );
  }
};
